/*
 * PmodISNS20.h
 *
 *  Created on: Nov 25, 2017
 *      Author: Krzysztof Chojnowski
 */

#ifndef PMODISNS20_H_
#define PMODISNS20_H_

#include <stdint.h>

/**
 * @brief Configure Pmod connector pins. The PmodISNS20 uses only ~CS, MISO and SCK signals
 *        connected to the following GPIO pins.
 *        PB0   -> ~CS
 *        PE14  -> MISO
 *        PA1   -> SCK
 */
void PmodISNS20_Config(void);

/**
 * @brief Read and return the signed value of the current in [mA].
 */
int32_t PmodISNS20_GetValue(void);


#endif /* PMODISNS20_H_ */
