/*
 * serial.c
 *
 *  Created on: Nov 4, 2017
 *      Author: Krzysztof Chojnowski
 */

#include "stm32l4xx_hal.h"

#include "serial.h"

UART_HandleTypeDef serialHandle;

void Serial_Config(void)
{
  serialHandle.Instance = LPUART1;
  serialHandle.Init.BaudRate = 115200;
  serialHandle.Init.WordLength = UART_WORDLENGTH_8B;
  serialHandle.Init.StopBits = UART_STOPBITS_1;
  serialHandle.Init.Parity = UART_PARITY_NONE;
  serialHandle.Init.Mode = UART_MODE_TX;
  serialHandle.Init.HwFlowCtl = UART_HWCONTROL_NONE;
  serialHandle.Init.OverSampling = UART_OVERSAMPLING_8;
  serialHandle.Init.OneBitSampling = UART_ONE_BIT_SAMPLE_DISABLE;

  HAL_UART_Init(&serialHandle);
}

void HAL_UART_MspInit(UART_HandleTypeDef *huart)
{
  __HAL_RCC_LPUART1_CLK_ENABLE();
  __HAL_RCC_GPIOC_CLK_ENABLE();

  GPIO_InitTypeDef GPIO_InitStruct;
  GPIO_InitStruct.Mode = GPIO_MODE_AF_PP;
  GPIO_InitStruct.Pull = GPIO_PULLDOWN;
  GPIO_InitStruct.Speed = GPIO_SPEED_FREQ_VERY_HIGH;
  GPIO_InitStruct.Alternate = GPIO_AF8_LPUART1;
  GPIO_InitStruct.Pin = GPIO_PIN_1;
  HAL_GPIO_Init(GPIOC, &GPIO_InitStruct);
}

void Serial_Write(char* data, int len)
{
  HAL_UART_Transmit(&serialHandle, (uint8_t*)data, len, 100);
}
